/**
 * @file MyGenerics.java
 * @author Snapback
 * @version 0.1
 * @date 2014-08-27
 */

package io.snapback.sdk.samples;

/**
 * @brief My class (works)
 */
public class MyGenerics extends MyHandler<MyEvent, MyListener> implements MyBaseListener<MyBaseEvent> {

	/**
	 * @brief Constructor (works)
	 */
	public MyGenerics() {
	}

	/**
	 * @brief A func (works)
         *
         * This description is displayed
         *
         * @param a an int
	 */
	public void aFunc(int a) {
	}

	/**
	 * @brief Adds an handler (doesn't work)
         *
         * This function is not displayed
	 * 
	 * @param handler an handler
	 */
	public <E extends MyBaseEvent, L extends MyHandlerListener<E>> void addHandler(BaseGestureHandler<E, L> handler) {
	}

	/**
	 * @brief Another func (works)
         *
         * This description is displayed
	 */
	public void anotherFunc() {
	}
}
